singleton Material(miramar_lettering)
{
    mapTo = "miramar_lettering";
    specularMap[0] = "vehicles/miramar/miramar_lettering_s.dds";
    normalMap[0] = "vehicles/miramar/miramar_lettering_n.dds";
    diffuseMap[0] = "vehicles/miramar/miramar_lettering_d.dds";
    reflectivityMap[0] = "vehicles/miramar/miramar_lettering_s.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1 1 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    //translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle"; materialTag2 = "decal";
    //translucentZWrite = "1";
};

singleton Material(miramar)
{
    mapTo = "miramar";
    colorPaletteMap[3] = "vehicles/miramar/miramar_skin_chrome.dds";
    diffuseMap[3] = "vehicles/miramar/miramar_chrome.dds";
    specularMap[3] = "vehicles/miramar/miramar_s.dds";
    normalMap[3] = "vehicles/miramar/miramar_n.dds";
    specularPower[3] = "128";
    pixelSpecular[3] = "1";
    useAnisotropic[3] = "1";
    colorPaletteMap[2] = "vehicles/miramar/miramar_roof.dds";
    diffuseMap[2] = "vehicles/miramar/miramar_c.dds";
    specularMap[2] = "vehicles/miramar/miramar_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miramar.skin.bumpers")
{
    mapTo = "miramar.skin.bumpers";
    colorPaletteMap[3] = "vehicles/miramar/miramar_skin_bumpers.dds";
    diffuseMap[3] = "vehicles/miramar/miramar_bumpers.dds";
    specularMap[3] = "vehicles/miramar/miramar_s.dds";
    normalMap[3] = "vehicles/miramar/miramar_n.dds";
    specularPower[3] = "128";
    pixelSpecular[3] = "1";
    useAnisotropic[3] = "1";
    colorPaletteMap[2] = "vehicles/miramar/miramar_roof.dds";
    diffuseMap[2] = "vehicles/miramar/miramar_c.dds";
    specularMap[2] = "vehicles/miramar/miramar_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material("miramar.skin.okudai")
{
    mapTo = "miramar.skin.okudai";
    colorPaletteMap[3] = "vehicles/miramar/miramar_skin_bumpers.dds";
    diffuseMap[3] = "vehicles/miramar/miramar_bumpers.dds";
    specularMap[3] = "vehicles/miramar/miramar_s.dds";
    normalMap[3] = "vehicles/miramar/miramar_n.dds";
    specularPower[3] = "128";
    pixelSpecular[3] = "1";
    useAnisotropic[3] = "1";
    colorPaletteMap[2] = "vehicles/miramar/miramar_skin_okudai_palette_uv1.dds";
    overlayMap[2] = "vehicles/miramar/miramar_skin_okudai.dds";
    diffuseMap[2] = "vehicles/miramar/miramar_c.dds";
    specularMap[2] = "vehicles/miramar/miramar_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_raceparts)
{
    mapTo = "miramar_raceparts";
    diffuseMap[2] = "vehicles/miramar/miramar_raceparts_c.dds";
    specularMap[2] = "vehicles/miramar/miramar_raceparts_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_raceparts_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_raceparts_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_raceparts_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_raceparts_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_raceparts_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    specularPower[2] = "128";
    pixelSpecular[2] = "1";
    specularColor[0] = "1 1 1 1";
    specularColor[1] = "1 1 1 1";
    specularColor[2] = "1 1 1 1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    diffuseColor[2] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    instanceDiffuse[2] = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_interior)
{
    mapTo = "miramar_interior";
    normalMap[0] = "vehicles/miramar/miramar_interior_n.dds";
    diffuseMap[0] = "vehicles/miramar/miramar_interior_d.dds";
    specularMap[0] = "vehicles/miramar/miramar_interior_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    translucent = "0";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    cubemap = "global_cubemap_metalblurred";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_seats)
{
    mapTo = "miramar_seats";
    normalMap[0] = "vehicles/miramar/miramar_seats_n.dds";
    diffuseMap[0] = "vehicles/miramar/miramar_seats_d.dds";
    specularMap[0] = "vehicles/miramar/miramar_seats_s.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    useAnisotropic[0] = "1";
    castShadows = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_gauges)
{
    mapTo = "miramar_gauges";
    diffuseMap[0] = "vehicles/miramar/miramar_gauges_d.dds";
    specularMap[0] = "vehicles/miramar/miramar_gauges_s.dds";
    normalMap[0] = "vehicles/miramar/miramar_gauges_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
};

singleton Material(miramar_gauges_on)
{
    mapTo = "miramar_gauges_on";
    diffuseMap[1] = "vehicles/miramar/miramar_gauges_g.dds";
    specularMap[1] = "vehicles/miramar/miramar_gauges_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_gauges_n.dds";
    diffuseMap[0] = "vehicles/miramar/miramar_gauges_d.dds";
    specularMap[0] = "vehicles/miramar/miramar_gauges_s.dds";
    normalMap[0] = "vehicles/miramar/miramar_gauges_n.dds";
    diffuseColor[0] = "1 1 1 1";
    specularPower[0] = "32";
    specularPower[1] = "32";
    pixelSpecular[0] = "1";
    useAnisotropic[0] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
    cubemap = "global_cubemap_metalblurred";
    emissive[1] = "1";
    diffuseColor[1] = "0 2.7 1.25 0.7";
    useAnisotropic[1] = "1";
};

singleton Material(miramar_glass)
{
    mapTo = "miramar_glass";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/miramar/miramar_glass_d.dds";
    opacityMap[0] = "vehicles/miramar/miramar_glass_d.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_glass_da.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/common/null_n.dds";
    diffuseColor[1] = "0.5 0.5 0.5 0.75";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_glass_int)
{
    mapTo = "miramar_glass_int";
    diffuseMap[0] = "vehicles/miramar/miramar_glass_d.dds";
    specularMap[0] = "vehicles/common/null.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    diffuseColor[0] = "1 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    doubleSided = "0";
    alphaRef = "0";
    dynamicCubemap = false;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_glass_dmg)
{
    mapTo = "miramar_glass_dmg";
    diffuseMap[0] = "vehicles/miramar/miramar_glass_dmg_d.dds";
    opacityMap[0] = "vehicles/miramar/miramar_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/glass_dmg_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_glass_dmg_d.dds";
    specularMap[1] = "vehicles/common/glass_dmg_s.dds";
    normalMap[1] = "vehicles/common/glass_dmg_n.dds";
    specularPower[0] = "128";
    specularPower[1] = "128";
    diffuseColor[0] = "1 1 1 1.5";
    diffuseColor[1] = "1 1 1 0.75";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_windshield_dmg)
{
    mapTo = "miramar_windshield_dmg";
    reflectivityMap[0] = "vehicles/common/glass_base.dds";
    diffuseMap[0] = "vehicles/miramar/miramar_glass_dmg_d.dds";
    specularMap[0] = "vehicles/common/glass_dmg_s.dds";
    normalMap[0] = "vehicles/common/windshield_dmg_n.dds";
    specularPower[0] = "32";
    diffuseColor[0] = "1.5 1.5 1.5 1";
    useAnisotropic[0] = "1";
    castShadows = "0";
    translucent = "1";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_engine)
{
    mapTo = "miramar_engine";
    diffuseMap[1] = "vehicles/miramar/miramar_engine_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_engine_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_engine_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_engine_n.dds";
    specularPower[0] = "32";
    pixelSpecular[0] = "1";
    specularPower[1] = "32";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1 1 1 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_lights)
{
    mapTo = "miramar_lights";
    diffuseMap[1] = "vehicles/miramar/miramar_lights_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_lights_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_lights_on)
{
    mapTo = "miramar_lights_on";
    diffuseMap[2] = "vehicles/miramar/miramar_lights_g.dds";
    specularMap[2] = "vehicles/miramar/miramar_lights_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_lights_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_lights_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_lights_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.3";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_lights_on_intense)
{
    mapTo = "miramar_lights_on_intense";
    diffuseMap[2] = "vehicles/miramar/miramar_lights_g.dds";
    specularMap[2] = "vehicles/miramar/miramar_lights_s.dds";
    normalMap[2] = "vehicles/miramar/miramar_lights_n.dds";
    diffuseMap[1] = "vehicles/miramar/miramar_lights_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_lights_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_lights_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_lights_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    diffuseColor[2] = "1.5 1.5 1.5 0.6";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    useAnisotropic[2] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    dynamicCubemap = true;
    glow[2] = "1";
    emissive[2] = "1";
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_lights_dmg)
{
    mapTo = "miramar_lights_dmg";
    diffuseMap[1] = "vehicles/miramar/miramar_lights_dmg_d.dds";
    specularMap[1] = "vehicles/miramar/miramar_lights_dmg_s.dds";
    normalMap[1] = "vehicles/miramar/miramar_lights_dmg_n.dds";
    diffuseMap[0] = "vehicles/common/null.dds";
    specularMap[0] = "vehicles/common/null.dds";
    normalMap[0] = "vehicles/miramar/miramar_lights_dmg_n.dds";
    specularPower[0] = "128";
    pixelSpecular[0] = "1";
    specularPower[1] = "128";
    pixelSpecular[1] = "1";
    diffuseColor[0] = "1 1 1 1";
    diffuseColor[1] = "1 1 1 1";
    useAnisotropic[0] = "1";
    useAnisotropic[1] = "1";
    castShadows = "1";
    translucent = "1";
    translucentBlendOp = "None";
    alphaTest = "0";
    alphaRef = "0";
    diffuseColor[1] = "1.5 1.5 1.5 1";
    dynamicCubemap = true;
    materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(miramar_reverselight)
{
    mapTo = "miramar_reverselight";
};

singleton Material(miramar_signal_R)
{
    mapTo = "miramar_signal_R";
};

singleton Material(miramar_signal_L)
{
    mapTo = "miramar_signal_L";
};

singleton Material(miramar_headlight)
{
    mapTo = "miramar_headlight";
};

singleton Material(miramar_taillight)
{
    mapTo = "miramar_taillight";
};
